@import "node_modules/reset-css/sass/reset";
$primary: #36384d;


html {
  font-size: 62.5%;
}

body {
  font-family: "Roboto", sans-serif;
  font-size: 1.6rem;
  font-weight: normal;
  background-color: $primary;
}

.container {
  position: absolute;
  max-width: 100rem;
  margin: auto;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

input, textarea {
  &.ng-invalid.ng-touched {
    border: 1px solid #fb6153;
    background-color: #ffe8e6;
    color: #fb6153;

    &::placeholder {
      color: #fb6153;
    }
  }
}

button {
  &.form-button {
    width: 100%;
    border: 1px solid #cbcbcb;
    border-radius: 8px;
    padding: 2rem;
    font-size: 2rem;
    background: #232742;
    color: white;
    outline: none;
    cursor: pointer;
    transition: background-color 2s linear;

    &:hover {
      background: linear-gradient(to right, #ff5478, #ff693e);
    }
  }
}

input {
  outline: none;
  &.form-control {
    border: 1px solid #dedede;
    border-radius: 8px;
    padding: 2rem;
    font-size: 2rem;
  }

  &:focus {
    border: 1px solid #605e66;
  }

  &::placeholder {
    font-weight: 300;
    color: #dedede;
  }
}
